# class Xapian::Xapian::MSet

Refer to the Xapian::MSet C++ API documentation for methods not specific to Ruby.

### Public Instance Methods

matches() click to toggle source

    # File ../../../src/xapian-bindings-1.4.5/ruby/docs/xapian.rb, line 197
    def matches
      Xapian._safelyIterate(self._begin(),
                            self._end()) { |item|
        Xapian::Match.new(item.docid, item.document, item.rank, item.weight, item.collapse_count, item.percent)
      }

    end